# Meetus

## Description
Le but de se projet est d’écrire une application web facilitant l’organisation de réunions de plusieurs personnes se trouvant à des lieux différents. L’application demandera aux utilisateurs leur point de départ et des créneaux horaires possibles, et retournera un lieu et une heure de rendez-vous convenant à tout le monde et minimisant le temps de parcours en transports publics.

## Objectif
- Étude de la technologie web pour l’implémentation de l’application.
- Développement d’un prototype de frontend de l’application.
- Développement de l’algorithme de recherche de lieu et heure optimaux.
- Développement du backend de l’application.
- Etude de scalabilité à beaucoup d’utilisateurs.




## Todo list:
> Mis à jour le: 19 août 2019

1. Important
- ID: checker qu'il n'exite pas sinon faire un saut
- Faire un niveau de satisfaction du point calculé sinon choisir un nouveau point
- Choisir un nouveau point => se raprocher du centre
- Ajouté que le trajet doit, en plus d'avoir la plus petite différence, être le plus rapide => faire un compromis
- Modifier un utilisateur
- Verifier tous les formulaires (Pas vide, bonne informations contenues, etc.)
- Ajouter une date maximum à la création d'un meeting

2. Améliorations
- Inviter des gens
- Cacher l'email (privé) et le calendrier
- Que toute les données soient privée
- Enregistrer temporairement les trajets pour pas devoir les recalculer après
- Récupérer les utilisateurs qu'un seule fois (pour le calcul de la date et du lieu)
- Rendre bg le code
- Ne pas recalculer les données si le rendez-vous (ville date) ne change pas
- Lorsque que la ville et la date ne change pas, il n'y a pas besoin de mettre à jour les chemins
- Faire en sorte que tout les utilisateurs aient le rafraichissement des données (socket room)
- Pool: Utiliser des pool pour les connexions à la base de données c'est plus rapides
- Faire des templates pour la structure des données du json
- Ajouter un historique des logs


## Bug connues
- Si on entre une ville qu'il ne connait pas (ou avec un accent: Genève) l'application plante


