-- phpMyAdmin SQL Dump
-- version 4.8.5
-- https://www.phpmyadmin.net/
--
-- Host: localhost:8889
-- Generation Time: Jul 08, 2019 at 08:28 AM
-- Server version: 5.7.25
-- PHP Version: 7.3.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Database: `meetus`
--

CREATE DATABASE IF NOT EXISTS `meetus` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `meetus`;

--
-- Table structure for table `t_meeting`
--

CREATE TABLE `t_meeting` (
  `idMeeting` int(11) NOT NULL,
  `date_added` date DEFAULT NULL,
  `data` json NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_meeting`
--

INSERT INTO `t_meeting` (`idMeeting`, `date_added`, `data`) VALUES
(0, NULL, '{\"date\": {\"day\": 27, \"time\": {\"hour\": 14, \"minutes\": 30}, \"year\": 2019, \"month\": 5}, \"name\": \"MarcBook Pro\", \"period\": {\"date_to\": {\"day\": 12, \"year\": 2019, \"month\": 6}, \"date_from\": {\"day\": 27, \"year\": 2019, \"month\": 5}}, \"creator\": \"Marc Vachon\", \"location\": \"Bern\", \"percentage\": 50, \"user_table\": [{\"name\": \"Marc Vachon\", \"email\": \"vachon.marc@outlook.com\", \"address\": \"Genève\", \"journey\": {\"time\": {\"hour\": \"01\", \"minutes\": \"44\"}, \"steps\": [{\"to\": {\"hour\": \"13\", \"minutes\": \"26\", \"station\": \"Bern\", \"platform\": \"7\"}, \"from\": {\"hour\": \"11\", \"minutes\": \"42\", \"station\": \"Genève\", \"platform\": \"6\"}, \"transport\": \"IC 719\"}]}, \"calendar\": [{\"to\": {\"hour\": 22, \"minutes\": 15}, \"day\": 27, \"from\": {\"hour\": 12, \"minutes\": 30}, \"year\": 2019, \"month\": 5}, {\"to\": {\"hour\": 20, \"minutes\": 45}, \"day\": 28, \"from\": {\"hour\": 13, \"minutes\": 0}, \"year\": 2019, \"month\": 5}], \"coordinate\": {\"lat\": 46.2017559, \"lon\": 6.1466014}}, {\"name\": \"Cholet Cholet\", \"email\": \"cholet@cholet.com\", \"address\": \"Berne\", \"journey\": {\"time\": {\"hour\": 0, \"minutes\": 0}, \"steps\": []}, \"calendar\": [{\"to\": {\"hour\": 22, \"minutes\": 15}, \"day\": 27, \"from\": {\"hour\": 14, \"minutes\": 30}, \"year\": 2019, \"month\": 5}, {\"to\": {\"hour\": 18, \"minutes\": 0}, \"day\": 29, \"from\": {\"hour\": 9, \"minutes\": 0}, \"year\": 2019, \"month\": 5}], \"coordinate\": {\"lat\": 46.9482713, \"lon\": 7.4514512}}, {\"name\": \"Al Pacino\", \"email\": \"al.pacino@padrinomail.com\", \"address\": \"Zurich\", \"journey\": {\"time\": {\"hour\": \"00\", \"minutes\": \"56\"}, \"steps\": [{\"to\": {\"hour\": \"12\", \"minutes\": \"58\", \"station\": \"Bern\", \"platform\": \"5\"}, \"from\": {\"hour\": \"12\", \"minutes\": \"02\", \"station\": \"Zürich HB\", \"platform\": \"31\"}, \"transport\": \"IC 816\"}]}, \"calendar\": [{\"to\": {\"hour\": 22, \"minutes\": 0}, \"day\": 17, \"from\": {\"hour\": 12, \"minutes\": 37}, \"year\": 2019, \"month\": 7}], \"coordinate\": {\"lat\": 47.3723941, \"lon\": 8.5423328}}, {\"name\": \"Al Pacino\", \"email\": \"al.pacino@padrinomail.com\", \"address\": \"Zurich\", \"journey\": {\"time\": {\"hour\": \"00\", \"minutes\": \"56\"}, \"steps\": [{\"to\": {\"hour\": \"12\", \"minutes\": \"58\", \"station\": \"Bern\", \"platform\": \"5\"}, \"from\": {\"hour\": \"12\", \"minutes\": \"02\", \"station\": \"Zürich HB\", \"platform\": \"31\"}, \"transport\": \"IC 816\"}]}, \"calendar\": [{\"to\": {\"hour\": 22, \"minutes\": 0}, \"day\": 17, \"from\": {\"hour\": 12, \"minutes\": 37}, \"year\": 2019, \"month\": 7}], \"coordinate\": {\"lat\": 47.3723941, \"lon\": 8.5423328}}]}');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `t_meeting`
--
ALTER TABLE `t_meeting`
  ADD PRIMARY KEY (`idMeeting`),
  ADD UNIQUE KEY `idMeeting` (`idMeeting`);
