"use strict"
var db_request = require("../class/db/db_request")

module.exports = function (app) {

  app.get('/', function (req, res) {
    res.render("index.ejs");
  });

  app.get('/meeting/:id', function (req, res) {

    db_request.check_id(req.params.id, function(resp){
      if(resp){
        res.render("meeting.ejs", {id_meeting: req.params.id});
      }else{
        res.render("index.ejs");
      }
    })
  });

  app.get('/create-meeting', function (req, res) {
    res.render("create-meeting.ejs");
  });

};
