/* --- COLORS --- */
let white = "var(--white)"
let lightest = "var(--lightest)";

let black = "var(--black)";
let darkest = "var(--darkest)";
let dark = "var(--dark)";

let iconSun = "fa-sun";
let iconMoon = "fa-moon fa-flip-horizontal";

let root = document.documentElement;

var darkMode = "false";

$(document).ready(function(){
  $('.moon').click(function(){
    toggleMode();
  });

  if(getCookie("moon") != null){
    darkMode = (getCookie("moon") == "true");

    if(darkMode){
      setDarkMode();
      toggleIcon();
    }
  }
});

function toggleMode(){

  if(darkMode){
    setLightMode();
    toggleIcon();
  }else{
    setDarkMode();
    toggleIcon();
  }
  setCookie("moon", darkMode, 7);
}
function toggleIcon(){
  if(darkMode){
    $(".moon i").removeClass(iconMoon).addClass(iconSun);
  }else{
    $(".moon i").removeClass(iconSun).addClass(iconMoon);
  }
}

function setDarkMode(){
  root.style.setProperty('--bg-main', darkest);
  root.style.setProperty('--bg-element', dark);

  root.style.setProperty('--txt-main', lightest);
  darkMode = true;
}

function setLightMode(){
  root.style.setProperty('--bg-main', lightest);
  root.style.setProperty('--bg-element', white);

  root.style.setProperty('--txt-main', darkest);
  darkMode = false;
}
