"use strict"
const fs = require('fs')
var config = require('../../config/config.json')


module.exports = {
  load_cities: (lat, lon, range, population, limit) => {


    let file = 'json/ch.json'

    let cities = JSON.parse( fs.readFileSync(file) );

    //console.log("Nb villes:", cholet.length);
    //console.log(cities);


    return new Promise(function(resolve){

      cities_near_point(cities, lat, lon, range, population, limit, function(selected_cities){

        console.log(selected_cities);
        resolve(selected_cities)
      })
    })


  }
}

function cities_near_point(array, lat, lon, range, population, limit, callback){
  var cities = []

  var radius = 0.1

  for (var i = 0; i < array.length && i <= limit; i++) {

    if (array[i].population >= population) {

      if((array[i].lat - lat)^2 + (array[i].lon - lon)^2 < radius^2){

        cities.push(array[i].city)

      }
    }

  }

  callback(cities)
}
