"use strict"

var db = require('../db/db_request')
var http = require('../../api/http_request')

module.exports = {
  add_user: (idMeeting, data, callback) => {
    var coordinate = http.get_coordinate(data.address)

    coordinate.then(function(coor){
      data['coordinate'] = {lat: coor.lat, lon: coor.lon}

      console.log("user data", data);

      db.add_user(idMeeting, JSON.stringify(data), function(result){
        console.log(result);
        callback(result);
      })

    }, function(error){
      console.log(error);
    })

  },

  update_user: (idMeeting, idUser, data, callback) => {
    var coordinate = http.get_coordinate(data.address)

    coordinate.then(function(coor){
      data['coordinate'] = {lat: coor.lat, lon: coor.lon}

      console.log("Updated user data", data);

      db.update_user(idMeeting, idUser, JSON.stringify(data), function(result){
        console.log(result);
        callback(result);
      })

    }, function(error){
      console.log(error);
    })
  },

  send_mail: (idMeeting, percentage, callback) => {
    var email_list = http.get_email(idMeeting)




  }
}


function modify_user(){

}
